
package de.ivu.elect.was.exchange.gebietsbaum.wahlberechtigte;

import org.jsefa.csv.annotation.CsvDataType;
import org.jsefa.csv.annotation.CsvField;

import de.ivu.jsefa.CsvHeader;

@CsvDataType
public class DefaultAnzahlWahlberechtigteCsvDTO {

  @CsvField(pos = 1)
  @CsvHeader("Gebietsart")
  private String gebietsart;

  @CsvField(pos = 2)
  @CsvHeader("Nummer des Gebietes")
  private String gebietsnummer;

  @CsvField(pos = 3)
  @CsvHeader("Anzahl Wahlberechtigter A1")
  private Long anzahlWahlberechtigteOhneWahlschein;

  @CsvField(pos = 4)
  @CsvHeader("Anzahl Wahlberechtigter A2")
  private Long anzahlWahlberechtigteMitWahlschein;

  @CsvField(pos = 5)
  @CsvHeader("Anzahl Wahlberechtigter A3")
  private Long anzahlWahlberechtigteNichtImWaehlerverzeichnis;

  public DefaultAnzahlWahlberechtigteCsvDTO() {
    super();
  }

  public String getGebietsart() {
    return gebietsart;
  }

  public void setGebietsart(String gebietsart) {
    this.gebietsart = gebietsart;
  }

  public String getGebietsnummer() {
    return gebietsnummer;
  }

  public void setGebietsnummer(String gebietsnummer) {
    this.gebietsnummer = gebietsnummer;
  }

  public Long getAnzahlWahlberechtigteOhneWahlschein() {
    return anzahlWahlberechtigteOhneWahlschein;
  }

  public void setAnzahlWahlberechtigteOhneWahlschein(Long anzahlWahlberechtigteOhneWahlschein) {
    this.anzahlWahlberechtigteOhneWahlschein = anzahlWahlberechtigteOhneWahlschein;
  }

  public Long getAnzahlWahlberechtigteMitWahlschein() {
    return anzahlWahlberechtigteMitWahlschein;
  }

  public void setAnzahlWahlberechtigteMitWahlschein(Long anzahlWahlberechtigteMitWahlschein) {
    this.anzahlWahlberechtigteMitWahlschein = anzahlWahlberechtigteMitWahlschein;
  }

  public Long getAnzahlWahlberechtigteNichtImWaehlerverzeichnis() {
    return anzahlWahlberechtigteNichtImWaehlerverzeichnis;
  }

  public void setAnzahlWahlberechtigteNichtImWaehlerverzeichnis(Long anzahlWahlberechtigteNichtImWaehlerverzeichnis) {
    this.anzahlWahlberechtigteNichtImWaehlerverzeichnis = anzahlWahlberechtigteNichtImWaehlerverzeichnis;
  }
}
